@echo off
chcp 65001
setlocal enabledelayedexpansion

set /p "menuItemName=Enter the context menu item name: "
set /p "programPath=Enter the program path: "

:: Creating entries in the context menu for folders
reg add "HKCR\Directory\shell\!menuItemName!" /ve /t REG_SZ /d "Run !menuItemName!" /f
reg add "HKCR\Directory\shell\!menuItemName!" /v "icon" /t REG_SZ /d "!programPath!" /f
reg add "HKCR\Directory\shell\!menuItemName!\command" /ve /t REG_SZ /d "!programPath!" /f

:: Creating entries in the context menu for the desktop
reg add "HKCR\Directory\Background\shell\!menuItemName!" /ve /t REG_SZ /d "Run !menuItemName!" /f
reg add "HKCR\Directory\Background\shell\!menuItemName!" /v "icon" /t REG_SZ /d "!programPath!" /f
reg add "HKCR\Directory\Background\shell\!menuItemName!\command" /ve /t REG_SZ /d "!programPath!" /f

echo "itryzen.com | The context menu has been successfully updated for your program with the item '!menuItemName!', path '!programPath!'."
pause
